# Blower Pressure Converter

![](/files/-Mihpe9xV-3DBRM3-Fv1)

![](/files/-Mihpe9ztCugbjAZB-U-) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Blower%20Pressure%20Converter.py)

Convert infiltration flow per exterior area measured at a particular blower door pressure to flow per exterior area measured at a typical building pressure.

This is accomplished by computing a normalized-area air mass flow coefficient that is derived the power law relationship between pressure and air flow. Cqa = Qblow / dPblow^n And then using the coefficient to approximate air flow at typical building pressure. Qbldg = Cqa \* dPbldg^n

where: Cqa: Air mass flow coefficient per unit meter at 1 Pa \[kg/m2/s/P^n] Qblow: Blower-induced volumetric air flow rate per area \[m3/s/m2] dPblow: Blower-induced change in pressure across building envelope orifice \[Pa] Qbldg: Typical building volumetric air flow rate per area \[m3/s/m2] dPbldg: Typical building change in pressure across building envelope orifice \[Pa] d: Air density \[1.2041 kg/m3] n: Air mass flow exponent \[0.65]

## Inputs

* **infilt\_per\_exterior \[Required]**

  A numerical value for the intensity of air flow induced by blower pressure in m3/s per square meter of exterior surface area.&#x20;
* **blower\_pressure**

  A number representing the pressure differential in Pascals (Pa) between indoors/outdoors at which the specified \_infilt\_per\_exterior occurs. Typical pressures induced by blower doors are 75 Pa and 50 Pa. (Default: 75).&#x20;
* **bldg\_pressure**

  The reference air pressure difference across building envelope under typical conditions in Pascals. (Default: 4).&#x20;

## Outputs

* **infilt**

  The intensity of infiltration in m3/s per square meter of exterior surface area at the input *bldg\_pressure*.&#x20;
* **C\_qa**

  Air mass flow coefficient per square meter at 1 Pa \[kg/m2/s/P^n].&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/3_loads/blower_pressure_converter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
